Subject: Re: git log --author=me

From: Michael J Gruber <[email-masked]>
Date: Tue, 3 Nov 2015 11:26:52 +0100

Duy Nguyen venit, vidit, dixit 02.11.2015 19:37:
> On Mon, Nov 2, 2015 at 2:27 PM, Harry Jeffery <[email-masked]> wrote:
>> Hi,
>>
>> I've written a patch that allows `me` to be used as shorthand for
>> $(user.name) or $(user.email) in the `--author` and `--commiter` fields.
>>
>> The purpose being to make finding your own commits quicker and easier:
>>     git log --author=me
>>
> 
> It would be even cooler if it accepts mail aliases, then you can
> define "me" to your address and also have shortcuts to a few of your
> best friends. Though as Andreas pointed out --author is not a good fit
> because it accepts regex, and you can't use --mine either, so more
> work..
> 

Alternatively: How about teaching git-completion to complete the
argument to --author? Expensive, I know, but faster than typing it out
or realising "Michael J" is not as unique as you think ;)

Michael